curl --request GET \
--url https://api.voltview.co.uk/v1/sites/invoices \
--header 'Authorization: Bearer <token>'[
{
"documentType": "invoice",
"isStatement": true,
"supplierName": "<string>",
"supplierAccountNumber": "<string>",
"customerName": "<string>",
"billingAddress": "<string>",
"items": [
{
"itemType": "invoice",
"invoiceNumber": "<string>",
"invoiceDate": "2023-12-25",
"dueDate": "2023-12-25",
"chargeStartDate": "2023-12-25",
"chargeEndDate": "2023-12-25",
"netAmount": 123,
"vatAmount": 123,
"totalAmount": 123,
"previousBalance": 123,
"outstandingBalance": 123,
"supplyPoints": [
{
"mpanMprn": "<string>",
"supplyType": "electricity",
"meterSerialNumber": "<string>",
"consumption": {
"total": 123,
"unit": "kWh"
},
"charges": [
{
"category": "energy",
"description": "<string>",
"chargeStartDate": "2023-12-25",
"chargeEndDate": "2023-12-25",
"startReading": 123,
"endReading": 123,
"readingType": "actual",
"quantity": 123,
"unit": "<string>",
"rate": 123,
"rateUnit": "<string>",
"vatRate": 123,
"netAmount": 123,
"totalAmount": 123
}
],
"meterReadings": [
{
"date": "2023-12-25",
"type": "actual",
"reading": "<string>",
"unit": "<string>",
"register": "day"
}
]
}
]
}
]
}
]Retrieves invoice information across all sites
curl --request GET \
--url https://api.voltview.co.uk/v1/sites/invoices \
--header 'Authorization: Bearer <token>'[
{
"documentType": "invoice",
"isStatement": true,
"supplierName": "<string>",
"supplierAccountNumber": "<string>",
"customerName": "<string>",
"billingAddress": "<string>",
"items": [
{
"itemType": "invoice",
"invoiceNumber": "<string>",
"invoiceDate": "2023-12-25",
"dueDate": "2023-12-25",
"chargeStartDate": "2023-12-25",
"chargeEndDate": "2023-12-25",
"netAmount": 123,
"vatAmount": 123,
"totalAmount": 123,
"previousBalance": 123,
"outstandingBalance": 123,
"supplyPoints": [
{
"mpanMprn": "<string>",
"supplyType": "electricity",
"meterSerialNumber": "<string>",
"consumption": {
"total": 123,
"unit": "kWh"
},
"charges": [
{
"category": "energy",
"description": "<string>",
"chargeStartDate": "2023-12-25",
"chargeEndDate": "2023-12-25",
"startReading": 123,
"endReading": 123,
"readingType": "actual",
"quantity": 123,
"unit": "<string>",
"rate": 123,
"rateUnit": "<string>",
"vatRate": 123,
"netAmount": 123,
"totalAmount": 123
}
],
"meterReadings": [
{
"date": "2023-12-25",
"type": "actual",
"reading": "<string>",
"unit": "<string>",
"register": "day"
}
]
}
]
}
]
}
]JWT token obtained from /v1/requestToken endpoint
Invoice information retrieved successfully
Type of document
invoice, statement, credit_note, debit_note Whether this document is a statement
Name of the supplier
Supplier account number
Name of the customer
Billing address
Invoice line items
Show child attributes